Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class Navigatable

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.Navigatable

All Implemented Interfaces:
  `org.eclipse.compare.INavigatable`

    public class Navigatable
    extends Object
    implements org.eclipse.compare.INavigatable

### Field Summary

Fields
`static int` `NEXT_UNRESOLVED_CHANGE`
`static int` `PREVIOUS_UNRESOLVED_CHANGE`
`protected EMFCompareStructureMergeViewerContentProvider.CallbackType` `uiSyncCallbackType`

### Fields inherited from interface org.eclipse.compare.INavigatable

`FIRST_CHANGE, LAST_CHANGE, NAVIGATOR_PROPERTY, NEXT_CHANGE, PREVIOUS_CHANGE`

### Constructor Summary

Constructors
`Navigatable​(WrappableTreeViewer viewer, EMFCompareStructureMergeViewerContentProvider contentProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fireOpen​(Object element)` Execute the fireOpen method of the viewer associated to this navigatable.
`Object` `getInput()`
`protected Object` `getNextItem​(Object start)` Starting at the given item, returns the next item in the viewer.
`protected Object` `getPreviousItem​(Object start)` Starting at the given element, returns the previous item in the viewer.
`WrappableTreeViewer` `getViewer()` Return the viewer associated with this Navigatable.
`boolean` `hasChange​(int changeFlag)`
`boolean` `openSelectedChange()`
`void` `refresh()`
`boolean` `selectChange​(int flag)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NEXT_UNRESOLVED_CHANGE

    public static final int NEXT_UNRESOLVED_CHANGE

See Also:
  Constant Field Values

#### PREVIOUS_UNRESOLVED_CHANGE

    public static final int PREVIOUS_UNRESOLVED_CHANGE

See Also:
  Constant Field Values

#### uiSyncCallbackType

    protected EMFCompareStructureMergeViewerContentProvider.CallbackType uiSyncCallbackType

### Constructor Detail

#### Navigatable

    public Navigatable​(WrappableTreeViewer viewer,
                       EMFCompareStructureMergeViewerContentProvider contentProvider)

### Method Detail

#### selectChange

    public boolean selectChange​(int flag)

Specified by:
  `selectChange` in interface `org.eclipse.compare.INavigatable`

#### refresh

    public void refresh()

#### fireOpen

    public void fireOpen​(Object element)

Execute the fireOpen method of the viewer associated to this navigatable.

Parameters:
  `element` - the input of the selection of the open event fired by the fireOpen method.

#### getViewer

    public WrappableTreeViewer getViewer()

Return the viewer associated with this Navigatable.

Returns:
  the viewer associated with this Navigatable.

#### getInput

    public Object getInput()

Specified by:
  `getInput` in interface `org.eclipse.compare.INavigatable`

#### openSelectedChange

    public boolean openSelectedChange()

Specified by:
  `openSelectedChange` in interface `org.eclipse.compare.INavigatable`
See Also:
  `INavigatable.openSelectedChange()`

#### hasChange

    public boolean hasChange​(int changeFlag)

Specified by:
  `hasChange` in interface `org.eclipse.compare.INavigatable`
See Also:
  `INavigatable.hasChange(int)`

#### getNextItem

    protected Object getNextItem​(Object start)

Starting at the given item, returns the next item in the viewer.

Parameters:
  `start` - the item for which to find the next one.
Returns:
  the next item.

#### getPreviousItem

    protected Object getPreviousItem​(Object start)

Starting at the given element, returns the previous item in the viewer.

Parameters:
  `start` - the item for which to find the previous one.
Returns:
  the previous item.